%define oname   http_parser.rb

Name:       ruby-%{oname}
Version:    0.8.0
Release:    %mkrel 3
Summary:    Simple callback-based HTTP request/response parser
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/igrigorik/em-socksify
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)

%description
Ruby bindings to https://github.com/ry/http-parser and https://github.com/a2800276/http-parser.java.

%files
%{gem_instdir}/
%{gem_extdir_mri}
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Sun Feb 02 2025 pterjan <pterjan> 0.8.0-3.mga10
+ Revision: 2144444
- Rebuild for Ruby 3.4

* Wed Dec 04 2024 pterjan <pterjan> 0.8.0-2.mga10
+ Revision: 2121557
- Rebuild for Ruby 3.3

* Tue May 03 2022 pterjan <pterjan> 0.8.0-1.mga9
+ Revision: 1855724
- Update to 0.8.0

* Fri Mar 25 2022 umeabot <umeabot> 0.6.0-8.mga9
+ Revision: 1827128
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 pterjan <pterjan> 0.6.0-7.mga9
+ Revision: 1784590
- Rebuild for Ruby 3.1

* Mon Mar 02 2020 pterjan <pterjan> 0.6.0-6.mga8
+ Revision: 1553160
- Rebuild for ruby 2.7

* Tue Feb 11 2020 umeabot <umeabot> 0.6.0-5.mga8
+ Revision: 1489234
- Mageia 8 Mass Rebuild

* Mon Jan 01 2018 pterjan <pterjan> 0.6.0-4.mga7
+ Revision: 1188671
- Rebuild for Ruby 2.5

* Tue Aug 15 2017 pterjan <pterjan> 0.6.0-3.mga7
+ Revision: 1140837
- Rebuild for new Ruby
- Rebuild for new Ruby

* Sun Dec 20 2015 pterjan <pterjan> 0.6.0-1.mga6
+ Revision: 912559
- Update to 0.6.0

* Wed Oct 15 2014 umeabot <umeabot> 0.5.3-10.mga5
+ Revision: 751129
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.3-9.mga5
+ Revision: 688834
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 0.5.3-8.mga4
+ Revision: 561978
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 0.5.3-7.mga4
+ Revision: 561310
- Fix gem macros

* Mon Dec 23 2013 pterjan <pterjan> 0.5.3-6.mga4
+ Revision: 560247
- Update for new binary extensions location

* Mon Oct 21 2013 umeabot <umeabot> 0.5.3-5.mga4
+ Revision: 538166
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 pterjan <pterjan> 0.5.3-4.mga4
+ Revision: 488880
- Use gem_setup
- Move the extension to the expected place

* Fri Feb 08 2013 umeabot <umeabot> 0.5.3-3.mga3
+ Revision: 396056
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.5.3-2.mga3
+ Revision: 381021
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 0.5.3-1.mga3
+ Revision: 312921
- update file list
- imported package ruby-http_parser.rb

